org.keycloak.services.clientpolicy

## Class ClientPolicyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.keycloak.services.clientpolicy.ClientPolicyException

- All Implemented Interfaces:
    Serializable

      public class ClientPolicyException
      extends Exception

  Author:
    Takashi Norimatsu
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientPolicyException(String error)`
    `ClientPolicyException(String error, String errorDetail)`
    `ClientPolicyException(String error, String errorDetail, javax.ws.rs.core.Response.Status errorStatus)`
    `ClientPolicyException(String error, String errorDetail, javax.ws.rs.core.Response.Status errorStatus, Throwable throwable)`
    `ClientPolicyException(String error, String errorDetail, Throwable throwable)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Throwable` | `fillInStackTrace()` If `ClientPolicyException` is used to notify the event so that it needs not to have stack trace.
    `String` | `getError()`
    `String` | `getErrorDetail()`
    `javax.ws.rs.core.Response.Status` | `getErrorStatus()`
    `void` | `setError(String error)`
    `void` | `setErrorDetail(String errorDetail)`
    `void` | `setErrorStatus(javax.ws.rs.core.Response.Status errorStatus)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientPolicyException

          public ClientPolicyException(String error)

    - #### ClientPolicyException

          public ClientPolicyException(String error,
                                       String errorDetail)

    - #### ClientPolicyException

          public ClientPolicyException(String error,
                                       String errorDetail,
                                       javax.ws.rs.core.Response.Status errorStatus)

    - #### ClientPolicyException

          public ClientPolicyException(String error,
                                       String errorDetail,
                                       Throwable throwable)

    - #### ClientPolicyException

          public ClientPolicyException(String error,
                                       String errorDetail,
                                       javax.ws.rs.core.Response.Status errorStatus,
                                       Throwable throwable)

  - ### Method Detail

    - #### getError

          public String getError()

    - #### setError

          public void setError(String error)

    - #### getErrorDetail

          public String getErrorDetail()

    - #### setErrorDetail

          public void setErrorDetail(String errorDetail)

    - #### getErrorStatus

          public javax.ws.rs.core.Response.Status getErrorStatus()

    - #### setErrorStatus

          public void setErrorStatus(javax.ws.rs.core.Response.Status errorStatus)

    - #### fillInStackTrace

          public Throwable fillInStackTrace()

      If `ClientPolicyException` is used to notify the event so that it needs not to have stack trace.
      Overrides:
        `fillInStackTrace` in class `Throwable`
      Returns:
        always null

Copyright © 2021 JBoss by Red Hat. All rights reserved.